### File

`packages/components/eui-autocomplete/testing/eui-autocomplete-chips-test.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-autocomplete-test-component`
imports | `EuiAutocompleteComponent` `FormsModule` `ReactiveFormsModule`

template

    <form [formGroup]="form">       <eui-autocomplete
               #autocomplete
               [hasChips]="true"
               formControlName="autocomplete"
               [autocompleteData]="autocompleteDataFormAutocomplete">
           </eui-autocomplete>
           <input class="default-formcontrol" type="text" formControlName="text" />
       </form>

### Index

###### Properties

- autocomplete
- Public autocompleteDataFormAutocomplete
- Public form

### Properties

autocomplete
Type : `EuiAutocompleteComponent`
Decorators : `@ViewChild('autocomplete')`

Public autocompleteDataFormAutocomplete
Type : `EuiAutoCompleteItem[]`

Default value : `[ { id: 1, label: 'Lemon', typeClass: 'primary', isOutline: true }, { id: 2, label: 'Lime', typeClass: 'secondary', isRounded: true }, { id: 3, label: 'Apple', typeClass: 'info', sizeClass: 'euiSizeS' }, { id: 4, label: 'Orange', typeClass: 'success', isRemovable: false }, { id: 5, label: 'Strawberry', typeClass: 'warning' }, { id: 6, label: 'Peer', typeClass: 'danger', isRemovable: false }, ]`

Public form
Type : `FormGroup`

# results matching ""

# No results matching ""